
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_EXPORTDLG_H__E60FAFA6_81DD_4A13_ABAB_BDFC40833E6F__INCLUDED_)
#define AFX_EXPORTDLG_H__E60FAFA6_81DD_4A13_ABAB_BDFC40833E6F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExportDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExportDlg dialog

class CExportDlg : public CDialog
{
// Construction
public:
	CExportDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CExportDlg)
	enum { IDD = IDD_EXPORT_DIALOG };
	CButton	m_ctrlCheckM3u;
	CButton	m_ctrlCheckAlias;
	CButton	m_ctrlCheckUnicode;
	CButton	m_ctrlCheckExclude;
	CButton	m_ctrlCheckDat;
	CButton	m_ctrlCheckMediaListFmt;
	CEdit	m_ctrlPath;
	CString	m_strPath;
	BOOL	m_bCheckExclude;
	BOOL	m_bCheckMediaListFmt;
	BOOL	m_bCheckDat;
	BOOL	m_bCheckUnicode;
	BOOL	m_bCheckAlias;
	BOOL	m_bCheckM3u;
	//}}AFX_DATA

	// 9/27/2021
	// Default path set by caller.
	CString m_pathContentsFiles;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExportDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExportDlg)
	afx_msg void OnButtonBrowse();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCheckDat();
	afx_msg void OnCheckTxt();
	afx_msg void OnCheckM3u();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORTDLG_H__E60FAFA6_81DD_4A13_ABAB_BDFC40833E6F__INCLUDED_)
